[MLton-commit] r5722
Vesa Karvonen
vesak at mlton.org
Wed Jul 4 02:21:49 PDT 2007
For type checking the lib.
----------------------------------------------------------------------
A mltonlib/trunk/com/ssh/generic/unstable/Check.bgb
A mltonlib/trunk/com/ssh/generic/unstable/Check.sh
----------------------------------------------------------------------
Added: mltonlib/trunk/com/ssh/generic/unstable/Check.bgb
===================================================================
--- mltonlib/trunk/com/ssh/generic/unstable/Check.bgb 2007-07-04 09:08:16 UTC (rev 5721)
+++ mltonlib/trunk/com/ssh/generic/unstable/Check.bgb 2007-07-04 09:21:49 UTC (rev 5722)
@@ -0,0 +1,8 @@
+;; Copyright (C) 2007 SSH Communications Security, Helsinki, Finland
+;;
+;; This code is released under the MLton license, a BSD-style license.
+;; See the LICENSE file or http://mlton.org/License for details.
+
+(bg-build
+ :name "Generics"
+ :shell "./Check.sh")
Added: mltonlib/trunk/com/ssh/generic/unstable/Check.sh
===================================================================
--- mltonlib/trunk/com/ssh/generic/unstable/Check.sh 2007-07-04 09:08:16 UTC (rev 5721)
+++ mltonlib/trunk/com/ssh/generic/unstable/Check.sh 2007-07-04 09:21:49 UTC (rev 5722)
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# Copyright (C) 2007 SSH Communications Security, Helsinki, Finland
+#
+# This code is released under the MLton license, a BSD-style license.
+# See the LICENSE file or http://mlton.org/License for details.
+
+set -e
+set -x
+
+mkdir -p generated
+
+echo "SML_COMPILER mlton
+MLTON_LIB $(cd ../../../.. && pwd)" > generated/mlb-path-map
+
+mlton -mlb-path-map generated/mlb-path-map \
+ -prefer-abs-paths true \
+ -stop tc \
+ -show-def-use generated/lib-with-default.du \
+ -show-basis generated/lib-with-default.basis \
+ lib-with-default.mlb
Property changes on: mltonlib/trunk/com/ssh/generic/unstable/Check.sh
___________________________________________________________________
Name: svn:executable
+ *
Name: svn:eol-style
+ native
More information about the MLton-commit
mailing list